Gramps 4.2.5 released

The Gramps team releases version 4.2.5,
a maintenance release. Think on backup before upgrade!

Fixes and changes since 4.2.4 release:

  • The configparser is assuming the wrong encoding
  • Sorting in family tab of narrated web report
  • Silence remaining PyGIWarning
  • Sorting of relationships in family tab of narrated web report
  • Use latest valid date rather than today
  • Modify endonym handling in place displayer
  • Fix house number concatenation
  • Allow merging of families with one or more parents in common
  • Jump to Gramps ID functionality doesn’t work
  • Ability to search alternate place names when selecting place
  • Fix clear map action on Geography
  • Database repair tool always edit all source objects
  • Database repair tool ignored some objects with tag
  • “Enclosing” gramplet includes places outside valid date ranges
  • Fix icon and tooltip in LDS editor
  • CSV import fails
  • Fix duplicated Gramps IDs on Gedcom import
  • Unexpected error Preferences > Dates > Markup for invalid date format
  • Fix Import Vcard, can create multiple surnames with all selected as ‘Primary’
  • Fix Gedcom import in some alternate languages; improper date parsing
  • Export options ‘Preview’ buttons create hidden quickreport
  • Alignment radio buttons in the style editor do not work
  • Select Place search & Source/Citation hierarchy should NOT be expanded
  • Tweak improvement on Tag editor
  • Support for Windows Python3 pythonw.exe
  • Wrong parsing Numeric date format for cs_CZ locale
  • Fix Icelandic and German translations
  • Fix Norwegian relationship calculator
  • Update translations: cs, de, fi, fr, hu, is, nb, ru

You can get Gramps 4.2.5 from the GitHub page.
Thank you all! See Changelog for more details.

12 Comments

  • Irene M

    Just attempted to download 4.2.5, but Norton Antivirus says that both Windows 32 and 64 bit are unsafe and deletes them. Are others encountering this problem?

  • Kamil

    Thanks for the update!

    1. Family trees > export – throws an error message “django.conf could not be found”

    2. Geography > All knows Places – doesn’t show any places (it works in GrampsAIO64 4.2.1)

    I use GrampsAIO-4.2.5-1_win64.exe

  • Janson

    Thanks. This is a very good program!!

  • My Monthly Update for January 2017 | Ross Gammon's Blog

    […] latest Gramps 4.2.5 release for Debian so that it will be part of the Stretch […]

  • Asbjørn Breivik

    Det blir bra !

  • Dieter Breithaupt

    Gramps 4.2.5
    After starting a new GRAMPS-Installation I’m getting the following error message

    *****************

    cx_Freeze: Python error in main script (traceback unavailable)

    Cannot import traceback module
    Exception: name ‘long’ is not defined
    Original Exception name ‘long’ is not defined

  • George H.

    Running OS X Sierra 10.12.3. Program continually crashes.

  • Andre

    I have 2 problems:
    1= As for IRENE M, my 360* antivirus program also blocked the exe file as very unsafe;
    2+ Unabe to find the french version for Windows 10 64.
    Anybody can help ?

  • David James

    I have upgraded to 4.2.5 recently and have a few issues.
    When I start it up I get a message “The ‘git’ command requires the command line developer tools. Would you like to install the tools now?” Buttons available , and . I choose Not Now.
    It then ask if I want to upgrade the family tree when I try to load it. fortunately i have it backed-up because it corrupts the data. It sometimes duplicates every individual, breaks links etc.

  • David James

    I forgot on the last post…

    Using an iMac with macOS Sierra v 10.12.5 installed.

  • detlef Gericke

    gramps4.2.5 läuft bei mir mit Linux Mint18.2

    es geht prima

  • Irene M

    Tried again today to download 4.2.5 and was successful.

Join the Conversation!